﻿server_ip="192.168.123.233"
server_port="8090"

--Objekte
function script_path()
	local str = debug.getinfo(2, "S").source:sub(2)
	return str:match("(.*/)")
end

function init()
  H={} -- hints

  H["ALLEROLLOS"]="Hiermit werden alle Rolläden zusammen gesteuert"
  H["ALLEWZROLLOS"]="Hiermit werden alle Wohnzimmer Rolläden gesteuert"
  H["ALLEKUECHENROLLOS"]="Hiermit werden alle Küchen Rolläden gesteuert"
  H["WZROLLO1"]="Hiermit wird der grosse Rolladen zur Terrasse im Wohnzimmer gesteuert"
  H["WZROLLOFENSTER"]="Hiermit wird der Fenster-Rolladen im Wohnzimmer gesteuert"
  H["FLURROLLO"]="Hiermit wird der Rolladen zur Terrasse im Flur gesteuert"
  H["MARKISE"]="Hiermit wird die Markise auf der Terrasse gesteuert"

	-- use icon placed in same dir as the plugin ...
	--fhem_png = script_path() .. "fhem.png"
	-- ... or use icon placed in one of neutrino's icon dirs
	--fhem_png = "fhem.png"
end

function godirectkey(d)
	if d  == nil then return d end
	local  _dkey = ""
	if d == 1 then
		_dkey = RC["red"]
	elseif d == 2 then
		_dkey = RC["green"]
	elseif d == 3 then
		_dkey = RC["yellow"]
	elseif d == 4 then
		_dkey = RC["blue"]
	elseif d < 14 then
		_dkey = RC[""..d - 4 ..""]
	elseif d == 14 then
		_dkey = RC["0"]
	else
		-- rest
		_dkey = ""
	end
	return _dkey
end

--Befehle für der Schaltungen

function alleRollohoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollos=set%20alleRollos%20hoch&room=Rollos");
end

function alleRollorunter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollos=set%20alleRollos%20runter&room=Rollos");
end

function KuecheRollohoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollosKueche=set%20alleRollosKueche%20hoch&room=Rollos");
end

function KuecheRollorunter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollosKueche=set%20alleRollosKueche%20runter&room=Rollos");
end

function WZRollohoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollosWZ=set%20alleRollosWZ%20hoch&room=Rollos");
end

function WZRollorunter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.alleRollosWZ=set%20alleRollosWZ%20runter&room=Rollos");
end

function flRollohoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_Flur_Rollo=set%20EG_Flur_Rollo%20hoch&room=Rollos");
end

function flRollorunter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_Flur_Rollo=set%20EG_Flur_Rollo%20runter&room=Rollos");
end

function flRolloschatten()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_Flur_Rollo=set%20EG_Flur_Rollo%20dim%2050&room=Rollos");
end

function wzRollo1hoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_RoTerrasse=set%20EG_WZ_RoTerrasse%20hoch&room=Rollos");
end

function wzRollo1runter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_RoTerrasse=set%20EG_WZ_RoTerrasse%20runter&room=Rollos");
end

function wzRollo1schatten()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_RoTerrasse=set%20EG_WZ_RoTerrasse%20dim%2050&room=Rollos");
end

function wzRolloFensterhoch()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_RoFenster=set%20EG_WZ_RoFenster%20hoch&room=Rollos");
end

function wzRolloFensterrunter()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_WZ_RoFenster=set%20EG_WZ_RoFenster%20runter&room=Rollos");
end

function MarkiseRein()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_Terrasse_Markise=set%20EG_Terrasse_Markise%20rein&room=Rollos");
end

function MarkiseRaus()
	os.execute("wget -O /tmp/tmpfhem.txt " ..  "http://" .. server_ip .. ":" .. server_port .. "/fhem?cmd.EG_Terrasse_Markise=set%20EG_Terrasse_Markise%20raus&room=Rollos");
end

--Menü anzeigen
function addMenue()
	d=1
  m = menu.new{name=" FHEM Steuerung", icon= script_path() .. "/fhem_icons/fhem.png"};
  m:addItem{type="separator"}
  m:addItem{type="back"}
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="alleRollohoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEROLLOS"], name="Alle Rolläden hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="alleRollorunter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEROLLOS"], name="Alle Rolläden runter fahren", directkey=godirectkey(d)};
  d=d+1
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="KuecheRollohoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEKUECHENROLLOS"], name="Alle Küchen Rolläden hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="KuecheRollorunter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEKUECHENROLLOS"], name="Alle Küchen Rolläden runter fahren", directkey=godirectkey(d)};
  d=d+1
	m:addItem{type="separatorline"}
  m:addItem{type="forwarder", action="WZRollohoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEWZROLLOS"], name="Alle WZ Rolläden hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="WZRollorunter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["ALLEWZROLLOS"], name="Alle WZ Rolläden runter fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="separatorline"};
  m:addItem{type="forwarder", action="flRollohoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["FLURROLLO"], name="Flur Rollo hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="flRollorunter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["FLURROLLO"], name="Flur Rollo runter fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="separatorline"};
  m:addItem{type="forwarder", action="wzRollo1hoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["WZROLLO1"], name="Wohnzimmer Rollo Terrasse hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="wzRollo1runter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["WZROLLO1"], name="Wohnzimmer Rollo Terrasse runter fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="wzRollo1schatten", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["WZROLLO1"], name="Wohnzimmer Rollo Terrasse halb runter", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="separatorline"};
  m:addItem{type="forwarder", action="wzRolloFensterhoch", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["WZROLLOFENSTER"], name="Wohnzimmer Rollo Fenster hoch fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="wzRolloFensterrunter", hint_icon= script_path() .. "/fhem_icons/rollo.png", hint=H["WZROLLOFENSTER"], name="Wohnzimmer Rollo Fenster runter fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="separatorline"};
  m:addItem{type="forwarder", action="MarkiseRein", hint_icon= script_path() .. "/fhem_icons/markise.png", hint=H["MARKISE"], name="Markise Terrasse rein fahren", directkey=godirectkey(d)};
  d=d+1
  m:addItem{type="forwarder", action="MarkiseRaus", hint_icon="hint_service", hint=H["MARKISE"], name="Markise Terrasse raus fahren", directkey=godirectkey(d)};
  d=d+1
  m:exec();
end

init();
addMenue();
